| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
TreatmentDataInfo Class Reference
Intercept and Treatment

Treatment data. More...

`#include <osv-if-doc.h>`

## Public Attributes
TreatmentId | TreatmentInfo
| Treatment Id data. More...
xsd__int | Cycle
| The number of times that the intercept treatment sequence is applied. More...
xsd__int | Interval
| The time that silence between cycles shall last. More...
enum unsp__TreatmentType | Type
| The type of treatment. More...
ToneInfo | Tone
| Tone data . More...
AnnounceInfo | Announce
| Announcement data . More...
xsd__int | SipReasonId
| An optional SIP reason header that may be provided if TreatmentType is TreatmentTypeRelCall. More...
ServiceInfo | Service
| Service data . More...

## Detailed Description

Treatment data.

## Member Data Documentation

## ◆ Announce

AnnounceInfo TreatmentDataInfo::Announce

Announcement data .

required: false

## ◆ Cycle

xsd__int TreatmentDataInfo::Cycle

The number of times that the intercept treatment sequence is applied.

This value is the same for all treatments assigned to the same intercept.
required: true
default value[range]: 0

## ◆ Interval

xsd__int TreatmentDataInfo::Interval

The time that silence between cycles shall last.

This value is the same for all treatments assigned to the same intercept.
required: false
default value[range]: 0

## ◆ Service

ServiceInfo TreatmentDataInfo::Service

Service data .

required: false

## ◆ SipReasonId

xsd__int TreatmentDataInfo::SipReasonId

An optional SIP reason header that may be provided if TreatmentType is TreatmentTypeRelCall.

required: false
default value[range]: 0

## ◆ Tone

ToneInfo TreatmentDataInfo::Tone

Tone data .

required: false

## ◆ TreatmentInfo

TreatmentId TreatmentDataInfo::TreatmentInfo

Treatment Id data.

required: false

## ◆ Type

enum unsp__TreatmentType TreatmentDataInfo::Type

The type of treatment.

Note that if TreatmentTypeTone is specified, the contents of the Tone structure should be provided; if TreatmentTypeAnnouncement is specified, the contents of the Announce structure should be provided.
required: true
default value[range]:

The documentation for this class was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h